package fsir.tqqe

import android.content.Intent
import android.graphics.Color
import android.widget.TextView
import androidx.core.view.updatePadding
import com.blankj.utilcode.util.BarUtils
import com.test.basd.supercleanermax.R
import com.test.basd.supercleanermax.databinding.FbptkhBinding
import pxds.lmmd.zmwf.Bpfw
import pxds.lmmd.zmwf.Khko.setTrackedOnClickListener
import pxds.lmmd.zmwf.Khko.string

class Nxko : Bpfw<FbptkhBinding>() {

    override val binding: FbptkhBinding by lazy {
        FbptkhBinding.inflate(layoutInflater)
    }

    private var mPhotoCount: Int = 0

    override val isLightMode = true

    override fun initView() {
        BarUtils.setStatusBarColor(this, Color.TRANSPARENT)
        binding.root.updatePadding(top = BarUtils.getStatusBarHeight())
        mPhotoCount = intent.getIntExtra(R.string.ޔޒޓޑތ_D.string(), 0)
        binding.axywelq.setTrackedOnClickListener {
            finish()
        }

        val manager = Oqqo(this)

        findViewById<TextView>(R.id.uougjtr).setTrackedOnClickListener {
            val dialog = Byfg(this, R.layout.jmkzfh)
            dialog.setButtonClickListener(R.id.ilzbjyt) {
                dialog.dismiss()
            }

            dialog.setButtonClickListener(R.id.lpxnxlb) {
                Mhoo.mActivity?.finish()
                val intent = Intent(this, Tzmt::class.java)
                intent.putExtra(R.string.ވމތވއ_D.string(), manager.getMode())
                startActivity(intent)
                dialog.dismiss()
                finish()
            }
            dialog.show()
        }
    }
}